export const vehicleScale = function (zoom) {
    // console.log(zoom)
    let iconSize = [16, 32], iconAnchor = [8, 16]
    if (zoom < 11) {
        iconSize = [2, 4]
        iconAnchor = [1, 2]
    } else if (zoom < 13) {
        iconSize = [4, 8]
        iconAnchor = [2, 4]
    } else if (zoom < 15) {
        iconSize = [6, 12]
        iconAnchor = [3, 6]
    } else if (zoom < 16) {
        iconSize = [8, 16]
        iconAnchor = [4, 8]
    } else if (zoom < 17) {
        iconSize = [10, 20]
        iconAnchor = [5, 10]
    } else if (zoom < 18) {
        iconSize = [14, 28]
        iconAnchor = [7, 14]
    } else if (zoom < 19) {
        iconSize = [18, 36]
        iconAnchor = [9, 18]
    } else if (zoom < 20) {
        iconSize = [28, 56]
        iconAnchor = [14, 28]
    } else if (zoom < 21) {
        iconSize = [40, 80]
        iconAnchor = [20, 40]
    } else {
        iconSize = [100, 200]
        iconAnchor = [50, 100]
    }
    return {iconSize, iconAnchor}
}